Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc.field

# Interface FBFlushableField

All Known Implementing Classes:
  `FBLongVarCharField`

@NullMarked public interface FBFlushableField
Instances of this field cache data in auto-commit case if no transaction is yet available and must be flushed before transaction is committed.

Author:
  Roman Rokytskyy

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`FBFlushableField.CachedObject`

## Method Summary

Modifier and Type
Method
Description
`void`
`flushCachedData()`
Flush cached data to the database server.
`byte @Nullable []`
`getCachedData()`
Get cached data.
`FBFlushableField.CachedObject`
`getCachedObject()`
`void`
`setCachedObject(FBFlushableField.CachedObject cachedObject)`

## Method Details

### flushCachedData

void flushCachedData() throws SQLException
Flush cached data to the database server.

Throws:
  `SQLException` - if something went wrong.

### getCachedData

byte @Nullable [] getCachedData() throws SQLException
Get cached data.

Returns:
  cached object of this field.
Throws:
  `SQLException` - if something went wrong.

### getCachedObject

FBFlushableField.CachedObject getCachedObject() throws SQLException

Throws:
  `SQLException`

### setCachedObject

void setCachedObject(FBFlushableField.CachedObject cachedObject) throws SQLException

Throws:
  `SQLException`